> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apinn.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Ouverture d'un special



## OpenAPI

````yaml /api-reference/openapi.json get /api/specials/opening
openapi: 3.1.0
info:
  title: apinn — Pinnacle Data API
  version: 1.0.0
  description: Cotes Pinnacle en temps réel, format iso Pinnacle Data API.
servers:
  - url: https://api.apinn.io
security:
  - ApiKeyAuth: []
paths:
  /api/specials/opening:
    get:
      summary: Ouverture d'un special
      parameters:
        - name: event_id
          in: query
          schema:
            type: integer
        - name: special_id
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: Ouverture
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SpecialOdds'
components:
  schemas:
    SpecialOdds:
      type: object
      properties:
        event_id:
          type:
            - integer
            - 'null'
        special_id:
          type: integer
        special_name:
          type: string
        contestant_id:
          type:
            - integer
            - 'null'
        contestant_name:
          type: string
        handicap:
          type:
            - number
            - 'null'
        odds:
          type:
            - number
            - 'null'
        todds:
          type:
            - number
            - 'null'
          description: True odds (devig).
        period:
          type: integer
        cutoff:
          type:
            - string
            - 'null'
        timestamp:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````